Groovy Documentation

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class InvocationCallback

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.InvocationCallback

    public class InvocationCallback

Authors:
  Steven Devijver

Method Summary
`java.lang.Object` | `getInvoker()`
`boolean` | `isInvoked()`
`void` | `markInvoked()`
`void` | `setInvoker(java.lang.Object newInvoker)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getInvoker

    public java.lang.Object getInvoker()

### isInvoked

    public boolean isInvoked()

### markInvoked

    public void markInvoked()

### setInvoker

    public void setInvoker(java.lang.Object newInvoker)

Groovy Documentation